<?php

//
// Ce fichier ne sera execute qu'une fois
if (defined("_INC_CHERCHE")) return;
define("_INC_CHERCHE", "1");

//
// Recherche recursive du squelette
//

function chercher_squelette_hierarchie($fond, $id_rubrique, $dossier='') {
	if (!$id_rubrique) {
		if (@file_exists("$dossier$fond.html")) {
			return "$dossier$fond";
		} else if (@file_exists("$fond.html")) {
			return "$fond";
		} else if (@file_exists("$fond-dist.html")) {
			return "$fond-dist";
		} else {
			// erreur webmaster : $fond ne correspond a rien
			include_ecrire ("inc_presentation.php3");
			install_debut_html("Erreur sur le site");
			echo "<P>Aucun squelette <b>$dossier$fond</b> n'est disponible...</P>";
			install_fin_html();
			spip_log ("ERREUR: aucun squelette $dossier$fond n'est disponible...");
			exit;
		}
	}
	else {
		if (file_exists("$dossier$fond-$id_rubrique.html")) {
			return "$dossier$fond-$id_rubrique";
		} else {
			$query = "SELECT id_parent FROM spip_rubriques WHERE id_rubrique='$id_rubrique'";
			$result = spip_query($query);
			while($row = spip_fetch_array($result)) {
				$id_parent=$row['id_parent'];
			}
			return chercher_squelette_hierarchie($fond, $id_parent, $dossier);
		}
	}
}

function chercher_squelette($fond, $id_rubrique, $dossier) {
	// On selectionne, dans l'ordre :
	// fond=10.html, fond-10.html, fond-<rubriques parentes>.html, fond.html puis fond-dist.html
	if (($id_rubrique > 0) AND (file_exists("$dossier$fond=$id_rubrique.html"))) {
		return "$dossier$fond=$id_rubrique";
	}
	else {
		return chercher_squelette_hierarchie($fond, $id_rubrique, $dossier); // recursif le long de la hierarchie
	}
}
?>
