<?php

function calculer_include($fichier, $params, $id_boucle, $boucles)
{
	global $dossier_squelettes;
	# marche maintenant que le compilateur est parfaitement rentrant 
	  if (preg_match("/\s*<.php\s*.fond\s*=\s*[\"\']([^;]*)[\"\']\s*;\s*.delais\s*=\s*([^;]*);\s*include\s*..inc-public.php3?..;\s*.>/",
implode('',file((($dossier_squelettes) &&
					    @file_exists("$dossier_squelettes/$fichier")) ?
					   "$dossier_squelettes/$fichier" :
					   $fichier)),
			 $m))
	    {
	      $l  = "";
	      if ($params) {
		reset($params);
		while (list(, $param) = each($params)) {
		  if (ereg("^([_0-9a-zA-Z]+)[[:space:]]*(=[[:space:]]*([^}]+))?$", $param, $args)) {
		    $var = $args[1];
		    $val = $args[3];
		    $l .= "'$var' =>" .
		      ($val ?
		       ("'" . addslashes($val) . "'") :
		       (index_pile($id_boucle, $var, &$boucles))) .
		      ",";
		  }
		}
	      }

	      return "inclure_subpage('" . $m[1] . "'," . $m[2] . 
		", array(" . $l . '), $Cache["cache"])';}
	  else
	    { # vieux code du compilateur non rentrant. 
	      # reste utile pour les squelettes appels bizarrement
	      $l  = "";
	      if ($params) {
		reset($params);
		while (list(, $param) = each($params)) {
		  if (ereg("^([_0-9a-zA-Z]+)[[:space:]]*(=[[:space:]]*([^}]+))?$", $param, $args)) {
		    $var = $args[1];
		    $val = $args[3];
		    if ($val)
		      $l[] = "'\'$var\' => " . addslashes($val) . "'";
		    else
		      $l[] = "'\'$var\' => ' . addslashes(" . index_pile($id_boucle, $var, &$boucles) . ")";
		  }
		}
	      }
	      return "\n'<".
		"?php include_ecrire(\'inc_lang.php3\'); lang_select(lire_meta(\'langue_site\')); \$contexte_inclus = array(' ." . 
		($l ? (join(".', '.\n",$l)) : '""') . ".');" .
		(($dossier_squelettes) ?
		 ("
			if (@file_exists(\'$dossier_squelettes/$fichier\')){
				include(\'$dossier_squelettes/$fichier\');
			} else {
				include(\'$fichier\');
			} " ) :
		 ("include(\'$fichier\');")) .
		"lang_dselect(); ?" . ">'";
	    }
}

// Convertit un texte Spip en une EXPRESSION php 
// donc qqch qui peut tre l'argument d'un Return 
// ou la partie droite d'une affectation

function calculer_texte($texte, $id_boucle)
{
	$code = ".\n '".ereg_replace("([\\\\'])", "\\\\1", $texte)."'";

	//
	// Reperer les balises de traduction <:toto:>
	//
	while (eregi("(<:(([a-z0-9_]+):)?([a-z0-9_]+)(\|[^>]*)?:>)", $code, $match)) {
		//
		// Traiter la balise de traduction multilingue
		//
		$chaine = strtolower($match[4]);
 		if (!($module = $match[3]))
			$module = 'local/public/spip';	// ordre des modules a explorer
		$remplace = "_T('$module:$chaine')";
		if ($filtres = $match[5]) {
			$filtres = explode('|',substr($filtres,1));
			$remplace = applique_filtres($filtres, $remplace);
		}
		$code = str_replace($match[1], "'.$remplace.'", $code);
	}

	return (ereg('^\..', $code) ? substr($code,2) : $code);
}


// gnre l'application d'une liste de filtres

function applique_filtres ($fonctions, $code) {
	if ($fonctions) {
		while (list(, $fonc) = each($fonctions)) {
			if ($fonc) {
				$arglist = '';
				if (ereg('([^\{\}]*)\{(.+)\}$', $fonc, $regs)) {
					$fonc = $regs[1];
					if (trim($regs[2]))
						$arglist = ','.$regs[2];
				}
				if (function_exists($fonc))
					$code = "$fonc($code$arglist)";
				else
					$code = "'Erreur : filtre <b>&laquo; $fonc &raquo;</b> non d&eacute;fini'";
			}
		}
	}
	return $code;
}

?>
